The application is not approved to use the following parameters with this type of payment

Showing 1-5 of 5 messages
The application is not approved to use the following parameters with this type of payment Moin Uddin 9/23/12 10:17 AM

I've download paypal mpl and using phonegap default example to test sandbox.

I just change these line from example

obj.paymentAmount = document.getElementById('pmt_subtotal').value;
obj.paymentCurrency = document.getElementById('pmt_currency').value;
obj.recipient = document.getElementById('pmt_recipient').value;
obj.merchantName = document.getElementById('pmt_merchant').value;
obj.itemDesc = document.getElementById('pmt_description').value;
obj.memo = document.getElementById('pmt_memo').value;
obj.tax = document.getElementById('pmt_tax').value;
obj.shipping = document.getElementById('pmt_shipping').value;

with this static value

var obj = {
        server : 'ENV_SANDBOX',
        appId : 'APP-80W284485P519543T'
    };
obj.paymentAmount = 10.0;
obj.paymentCurrency = 'USD';
obj.recipient = 'moin_k_134...@yahoo.com';
obj.merchantName = 'Test Test';
obj.itemDesc = 'something';
obj.memo = 'something';
obj.tax = 0;
obj.shipping = 0;

When i click paypal pay button it throws an error

"The application is not approved to use the following parameters with this type of payment".

Here is the complete eclipse project http://marinefreshbd.com/paypal/Paypal.zip

Re: The application is not approved to use the following parameters with this type of payment Paul Beusterien 9/23/12 6:25 PM
The plugin is significantly out of date for both PayPal and PhoneGap. It needs someone to do a detailed review and update. I've submitted a pull request to update the Readme accordingly.
Re: The application is not approved to use the following parameters with this type of payment Tomaz 11/3/12 6:36 PM
Try with updated mpl.java file at https://github.com/phonegap/phonegap-plugins/pull/864/files

Dne nedelja, 23. september 2012 19:17:29 UTC+2 je oseba Moin Uddin napisala:
Re: The application is not approved to use the following parameters with this type of payment amrit.k...@gmail.com 2/4/13 12:04 PM
That updated file works great! Now my only issue is the paypal popup is tiny, it takes up maybe 40% of the screen and has its own scroll. Is there any way to change the size?
Re: The application is not approved to use the following parameters with this type of payment hle...@gmail.com 3/5/13 6:26 AM



HI i am having problems with the paypal phonegap paypal plugin, i have updated the mpl file bt it keeps giving me this error "The application is not approved to use the following parameters with this type of payment".